Singapore: +65-31631880 | India: +91-40-42023318
  U.S / Canada Toll Free: +1-866-259-4781
  Kenya: +254-732-300719

          

You never stop learning and JLI keeps you on top of the latest advances in your field through the “Students Success Team” even after you complete your course. The SST sends you regular information about the latest advances, policy changes and all the dynamics of the Industry as a part of our committed effort towards career development of students and alumni.

view more

Technical Requirements

We at JLI we make every effort to present to our students an effortless, worry-free technologically advanced learning platform so that they can focus on studying without being troubled by any technical issues.

Our 24 hour Online Live Chat Support is always available to provide prompt assistance with any technical issues.

Technical support helpdesk can also be contacted via email at it@jli.sg

Hardware and Software Requirements

For you to enroll in a JLI course you must have access to a Microsoft Windows-based PC or a Mac that meets the programs minimum computer system requirements. These requirements are normally a part of all computers and you need not install anything additional.
These are:


Microsoft Windows
  • XP-Pentium Processor or higher
  • 128Mb RAM or higher
  • Windows 98 or higher
  • Speakers, Headphones or Earphones and Sound Card
  • Broadband Internet connection
Macintosh
  • G3 Processor or higher
  • 128Mb RAM or higher
  • OS 8 or higher
  • Speakers, Headphones or Earphones and Sound Card
  • Broadband Internet connection
Browser
  • Microsoft Internet Explorer 6.0 or higher, Mozilla, Google Chrome (Recommended), Safari
Additional Software
  • Adobe Flash and Shockwave player (Latest version)
  • Adobe Acrobat

As mentioned earlier, all these technical requirements are normally in-built in all modern day computers.

Special Note for Android Users (Mobiles / Tablets etc)

It requires a flash player to view the study content. If you wish to use a mobile device for your studies you may have to install browsers that have in-built flash capabilities. We recommend that you download and use the Puffin Browser.

James Lind Institute Newsletter
James Lind Institute Youtube
James Lind Institute Linkedin
James Lind Institute RSS
James Lind Institute Facebook